## net.sf.jftp.event
Class EventProcessor

    java.lang.Object
      net.sf.jftp.event.EventProcessor

All Implemented Interfaces:
  java.lang.Runnable, Acceptor, EventHandler, FtpEventConstants

    public class EventProcessor

extends java.lang.Object
implements java.lang.Runnable, Acceptor, FtpEventConstants, EventHandler

Field Summary

Fields inherited from interface net.sf.jftp.event.FtpEventConstants
`FTPCommand, FTPPrompt, FTPShutdown`

Constructor Summary
`EventProcessor(java.util.Vector b)`

Method Summary
`void` `accept(Event e)`
`static void` `addHandler(int eventCode, EventHandler h)`
`boolean` `handle(Event e)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventProcessor

    public EventProcessor(java.util.Vector b)

Method Detail

### accept

    public void accept(Event e)

  Specified by:
    `accept` in interface `Acceptor`

### addHandler

    public static void addHandler(int eventCode,
                                  EventHandler h)

### handle

    public boolean handle(Event e)

  Specified by:
    `handle` in interface `EventHandler`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`